onEvent('recipes', event => {
	//
	// Убираем крафты инструментов, приоритет тетре
	//
	// minecraft
	event.remove({output: 'minecraft:wooden_axe'})
	event.remove({output: 'minecraft:wooden_sword'})
	event.remove({output: 'minecraft:wooden_pickaxe'})
	event.remove({output: 'minecraft:wooden_hoe'})
	event.remove({output: 'minecraft:wooden_shovel'})
	event.remove({output: 'minecraft:stone_axe'})
	event.remove({output: 'minecraft:stone_sword'})
	event.remove({output: 'minecraft:stone_pickaxe'})
	event.remove({output: 'minecraft:stone_hoe'})
	event.remove({output: 'minecraft:stone_shovel'})
	event.remove({output: 'minecraft:iron_axe'})
	event.remove({output: 'minecraft:iron_sword'})
	event.remove({output: 'minecraft:iron_pickaxe'})
	event.remove({output: 'minecraft:iron_hoe'})
	event.remove({output: 'minecraft:iron_shovel'})
	event.remove({output: 'minecraft:golden_axe'})
	event.remove({output: 'minecraft:golden_sword'})
	event.remove({output: 'minecraft:golden_pickaxe'})
	event.remove({output: 'minecraft:golden_hoe'})
	event.remove({output: 'minecraft:golden_shovel'})
	event.remove({output: 'minecraft:diamond_axe'})
	event.remove({output: 'minecraft:diamond_sword'})
	event.remove({output: 'minecraft:diamond_pickaxe'})
	event.remove({output: 'minecraft:diamond_hoe'})
	event.remove({output: 'minecraft:diamond_shovel'})
	// botania
	event.remove({output: 'botania:manasteel_sword'})
	event.shaped('1x botania:manasteel_sword', [
		'  I',
		' I ',
		'S  '
	  ], {
		I: 'botania:manasteel_ingot',
		S: 'botania:livingwood_twig'
	  })
	  
	event.remove({output: 'botania:manasteel_pickaxe'})
	event.shaped('1x botania:manasteel_pickaxe', [
		'III',
		' S ',
		' S '
	  ], {
		I: 'botania:manasteel_ingot',
		S: 'botania:livingwood_twig'
	  })
	  
	event.remove({output: 'botania:manasteel_axe'})
	event.shaped('1x botania:manasteel_axe', [
		'III',
		'ISI',
		' S '
	  ], {
		I: 'botania:manasteel_ingot',
		S: 'botania:livingwood_twig'
	  })

	event.remove({output: 'botania:manasteel_hoe'})
	event.shaped('1x botania:manasteel_hoe', [
		' II',
		' S ',
		' S '
	  ], {
		I: 'botania:manasteel_ingot',
		S: 'botania:livingwood_twig'
	  })
	  
	event.remove({output: 'botania:manasteel_shovel'})
	event.shaped('1x botania:manasteel_shovel', [
		' I ',
		' S ',
		' S '
	  ], {
		I: 'botania:manasteel_ingot',
		S: 'botania:livingwood_twig'
	  })
	  
	// elementium
	event.remove({output: 'botania:elementium_sword'})
	event.smithing(Item.of('botania:elementium_sword'), 'botania:manasteel_sword', 'botania:elementium_block')
	
	event.remove({output: 'botania:elementium_axe'})
	event.smithing(Item.of('botania:elementium_axe'), 'botania:manasteel_axe', 'botania:elementium_block')
	
	event.remove({output: 'botania:elementium_pickaxe'})
	event.smithing(Item.of('botania:elementium_pickaxe'), 'botania:manasteel_pick', 'botania:elementium_block')
	
	event.remove({output: 'botania:elementium_hoe'})
	event.smithing(Item.of('botania:elementium_hoe'), 'botania:manasteel_hoe', 'botania:elementium_block')
	
	event.remove({output: 'botania:elementium_shovel'})
	event.smithing(Item.of('botania:elementium_shovel'), 'botania:manasteel_shovel', 'botania:elementium_block')
	// terra
	event.remove({output: 'botania:terra_sword'})
	event.smithing(Item.of('botania:terra_sword'), 'botania:elementium_sword', 'botania:terrasteel_block')
	
	event.remove({output: 'botania:terra_axe'})
	event.smithing(Item.of('botania:terra_axe'), 'botania:elementium_axe', 'botania:terrasteel_block')
	
	event.remove({output: 'botania:terra_pick'})
	event.smithing(Item.of('botania:terra_pick'), 'botania:elementium_pickaxe', 'botania:terrasteel_block')
	// alpha
	event.remove({output: 'mythicbotany:alfsteel_sword'})
	event.smithing(Item.of('mythicbotany:alfsteel_sword'), 'botania:terra_sword', 'mythicbotany:alfsteel_block')
	
	event.remove({output: 'mythicbotany:alfsteel_axe'})
	event.smithing(Item.of('mythicbotany:alfsteel_axe'), 'botania:terra_axe', 'mythicbotany:alfsteel_block')
	
	event.remove({output: 'mythicbotany:alfsteel_pick'})
	event.smithing(Item.of('mythicbotany:alfsteel_pick'), 'botania:terra_pick', 'mythicbotany:alfsteel_block')
		
	// mekanism tools
	event.remove({output: 'mekanismtools:bronze_axe'})
	event.remove({output: 'mekanismtools:lapis_lazuli_axe'})
	event.remove({output: 'mekanismtools:osmium_axe'})
	event.remove({output: 'mekanismtools:refined_glowstone_axe'})
	event.remove({output: 'mekanismtools:refined_obsidian_axe'})
	event.remove({output: 'mekanismtools:steel_axe'})
	event.remove({output: 'mekanismtools:bronze_sword'})
	event.remove({output: 'mekanismtools:lapis_lazuli_sword'})
	event.remove({output: 'mekanismtools:osmium_sword'})
	event.remove({output: 'mekanismtools:refined_glowstone_sword'})
	event.remove({output: 'mekanismtools:refined_obsidian_sword'})
	event.remove({output: 'mekanismtools:steel_sword'})
	event.remove({output: 'mekanismtools:bronze_pickaxe'})
	event.remove({output: 'mekanismtools:lapis_lazuli_pickaxe'})
	event.remove({output: 'mekanismtools:osmium_pickaxe'})
	event.remove({output: 'mekanismtools:refined_glowstone_pickaxe'})
	event.remove({output: 'mekanismtools:refined_obsidian_pickaxe'})
	event.remove({output: 'mekanismtools:steel_pickaxe'})
	event.remove({output: 'mekanismtools:bronze_hoe'})
	event.remove({output: 'mekanismtools:lapis_lazuli_hoe'})
	event.remove({output: 'mekanismtools:osmium_hoe'})
	event.remove({output: 'mekanismtools:refined_glowstone_hoe'})
	event.remove({output: 'mekanismtools:refined_obsidian_hoe'})
	event.remove({output: 'mekanismtools:steel_hoe'})
	// immersiveengineering
	event.remove({output: 'immersiveengineering:axe_steel'})
	event.remove({output: 'immersiveengineering:sword_steel'})
	event.remove({output: 'immersiveengineering:pickaxe_steel'})
	event.remove({output: 'immersiveengineering:hoe_steel'})
	// notreepunching
	event.remove({output: 'notreepunching:iron_mattock'})
	event.remove({output: 'notreepunching:gold_mattock'})
	event.remove({output: 'notreepunching:diamond_mattock'})
	event.remove({output: 'notreepunching:flint_pickaxe'})
	event.remove({output: 'notreepunching:flint_hoe'})
	// twilightforest
	event.remove({output: 'twilightforest:ironwood_pickaxe'})
	event.remove({output: 'twilightforest:ironwood_axe'})
	event.remove({output: 'twilightforest:ironwood_sword'})
	event.remove({output: 'twilightforest:ironwood_hoe'})
	event.remove({output: 'twilightforest:ironwood_shovel'})
	event.remove({output: 'twilightforest:fiery_pickaxe'})
	event.remove({output: 'twilightforest:fiery_sword'})
	event.remove({output: 'twilightforest:fiery_axe'})
	event.remove({output: 'twilightforest:fiery_hoe'})
	event.remove({output: 'twilightforest:fiery_shovel'})
	event.remove({output: 'twilightforest:steeleaf_pickaxe'})
	event.remove({output: 'twilightforest:steeleaf_axe'})
	event.remove({output: 'twilightforest:steeleaf_sword'})
	event.remove({output: 'twilightforest:steeleaf_hoe'})
	event.remove({output: 'twilightforest:steeleaf_shovel'})
	event.remove({output: 'twilightforest:knightmetal_pickaxe'})
	event.remove({output: 'twilightforest:knightmetal_axe'})
	event.remove({output: 'twilightforest:knightmetal_sword'})
	event.remove({output: 'twilightforest:knightmetal_hoe'})
	event.remove({output: 'twilightforest:knightmetal_showel'})
	// create_sa
	event.remove({output: 'create_sa:brass_pickaxe'})
	event.remove({output: 'create_sa:brass_axe'})
	event.remove({output: 'create_sa:brass_sword'})
	event.remove({output: 'create_sa:brass_hoe'})
	event.remove({output: 'create_sa:brass_shovel'})
	event.remove({output: 'create_sa:zinc_pickaxe'})
	event.remove({output: 'create_sa:zinc_axe'})
	event.remove({output: 'create_sa:zinc_sword'})
	event.remove({output: 'create_sa:zinc_hoe'})
	event.remove({output: 'create_sa:zinc_shovel'})
	event.remove({output: 'create_sa:copper_pickaxe'})
	event.remove({output: 'create_sa:copper_axe'})
	event.remove({output: 'create_sa:copper_sword'})
	event.remove({output: 'create_sa:copper_hoe'})
	event.remove({output: 'create_sa:copper_shovel'})
	event.remove({output: 'create_sa:experience_pickaxe'})
	event.remove({output: 'create_sa:experience_axe'})
	event.remove({output: 'create_sa:experience_sword'})
	event.remove({output: 'create_sa:experience_hoe'})
	event.remove({output: 'create_sa:experience_shovel'})
	//the undergarden
	event.remove({output: 'undergarden:cloggrum_sword'})
	event.remove({output: 'undergarden:cloggrum_pickaxe'})
	event.remove({output: 'undergarden:cloggrum_axe'})
	event.remove({output: 'undergarden:cloggrum_shovel'})
	event.remove({output: 'undergarden:cloggrum_hoe'})
	event.remove({output: 'undergarden:froststeel_sword'})
	event.remove({output: 'undergarden:froststeel_pickaxe'})
	event.remove({output: 'undergarden:froststeel_axe'})
	event.remove({output: 'undergarden:froststeel_shovel'})
	event.remove({output: 'undergarden:froststeel_hoe'})
	event.remove({output: 'undergarden:forgotten_sword'})
	event.remove({output: 'undergarden:forgotten_pickaxe'})
	event.remove({output: 'undergarden:forgotten_axe'})
	event.remove({output: 'undergarden:forgotten_shovel'})
	event.remove({output: 'undergarden:forgotten_hoe'})
	event.remove({output: 'undergarden:utherium_sword'})
	event.remove({output: 'undergarden:utherium_pickaxe'})
	event.remove({output: 'undergarden:utherium_axe'})
	event.remove({output: 'undergarden:utherium_shovel'})
	event.remove({output: 'undergarden:utherium_hoe'})
	  
	  // голосфера
	  event.remove({output: 'tetra:holo'})
	  event.shaped('1x tetra:holo', [
		' C ',
		'CPC',
		' C '
	  ], {
		C: 'minecraft:copper_ingor',
		P: 'minecraft:ender_pearl'
	  })
	  
	  // молоты
	  event.remove({id: 'tetra:hammer/andesite'})
	  event.remove({id: 'tetra:hammer/jungle'})
	  event.remove({id: 'tetra:hammer/diorite'})
	  event.remove({id: 'tetra:hammer/oak'})
	  event.remove({id: 'tetra:hammer/dark_oak'})
	  event.remove({id: 'tetra:hammer/granite'})
	  event.remove({id: 'tetra:hammer/acacia'})
	  event.remove({id: 'tetra:hammer/spruce'})
	  event.remove({id: 'tetra:hammer/birch'})
	  event.remove({id: 'tetra:hammer/stone'})
	  
	  event.shaped(Item.of('tetra:modular_double', '{"double/basic_hammer_left_material":"basic_hammer/oak","double/basic_hammer_right_material":"basic_hammer/oak","double/basic_handle_material":"basic_handle/stick","double/handle":"double/basic_handle","double/head_left":"double/basic_hammer_left","double/head_right":"double/basic_hammer_right",id:"926fb0d2-0e40-48e9-a933-06c552c8b0ed"}'), [
		' L ',
		' SL',
		'S  '
	  ], {
		S: 'minecraft:stick',
		L: '#forge:stripped_logs'
	  })
	  
	  event.shaped(Item.of('tetra:modular_double', '{"double/basic_hammer_left_material":"basic_hammer/oak","double/basic_hammer_right_material":"basic_hammer/oak","double/basic_handle_material":"basic_handle/stick","double/handle":"double/basic_handle","double/head_left":"double/basic_hammer_left","double/head_right":"double/basic_hammer_right",id:"926fb0d2-0e40-48e9-a933-06c552c8b0ed"}'), [
		' L ',
		' SL',
		'S  '
	  ], {
		S: 'minecraft:stick',
		L: '#forge:stripped_wood'
	  })
	  
	  
	// рецепты свитков
	  event.remove({id: 'tetra:rending_scissor_scroll'});
	  event.shaped(Item.of('tetra:scroll_rolled', '{BlockEntityTag:{data:[{details:"otherworldly",glyphs:[1,15,2,13],intricate:0b,key:"tetra/rending_scissor_purple",material:2,ribbon:"e32182",schematics:["tetra:sword/rending_scissor_red","tetra:sword/rending_scissor_purple"]}]}}'), [
		'ITI',
		'TWT',
		'ITI'
	  ], {
		I: 'upgradednetherite:wither_upgraded_netherite_ingot',
		T: 'twilightforest:red_thread',
        W: '#minecraft:occludes_vibration_signals',
	  })
	  
	  event.remove({id: 'tetra:crucible_scroll'});
	  event.shaped(Item.of('tetra:scroll_rolled', '{BlockEntityTag:{data:[{details:"art_of_forging",glyphs:[8,7,9,2],intricate:0b,key:"tetra/crucible_blade",material:2,ribbon:"ff1e00",schematics:["tetra:sword/crucible_blade"]}]}}'), [
		' K ',
		' B ',
		'IWI'
	  ], {
        K: 'twilightforest:knightmetal_block',
		B: 'minecraft:beacon',
		I: 'minecraft:netherite_ingot',
        W: 'minecraft:book',
	  })
	  
	//
	//крафты ванильных инструментов из инструментов tetra
	//
	
	//pickaxe
	event.smithing('minecraft:wooden_pickaxe', Item.of('tetra:modular_double', '{"double/basic_pickaxe_left_material":"basic_pickaxe/oak","double/basic_pickaxe_right_material":"basic_pickaxe/oak","double/head_left":"double/basic_pickaxe_left","double/head_right":"double/basic_pickaxe_right"}').weakNBT(), "#forge:tool/wrench")
	
	event.smithing('minecraft:stone_pickaxe', Item.of('tetra:modular_double', '{"double/basic_pickaxe_left_material":"basic_pickaxe/stone","double/basic_pickaxe_right_material":"basic_pickaxe/stone","double/head_left":"double/basic_pickaxe_left","double/head_right":"double/basic_pickaxe_right"}').weakNBT(), "#forge:tool/wrench")
	 
	 event.smithing('minecraft:iron_pickaxe', Item.of('tetra:modular_double', '{"double/basic_pickaxe_left_material":"basic_pickaxe/iron","double/basic_pickaxe_right_material":"basic_pickaxe/iron","double/head_left":"double/basic_pickaxe_left","double/head_right":"double/basic_pickaxe_right"}').weakNBT(), "#forge:tool/wrench")
	 
	 event.smithing('minecraft:golden_pickaxe', Item.of('tetra:modular_double', '{"double/basic_pickaxe_left_material":"basic_pickaxe/gold","double/basic_pickaxe_right_material":"basic_pickaxe/gold","double/head_left":"double/basic_pickaxe_left","double/head_right":"double/basic_pickaxe_right"}').weakNBT(), "#forge:tool/wrench")
	 
	 event.smithing('minecraft:diamond_pickaxe', Item.of('tetra:modular_double', '{"double/basic_pickaxe_left_material":"basic_pickaxe/diamond","double/basic_pickaxe_right_material":"basic_pickaxe/diamond","double/head_left":"double/basic_pickaxe_left","double/head_right":"double/basic_pickaxe_right"}').weakNBT(), "#forge:tool/wrench")
	 
	//axe
	
	event.smithing('minecraft:wooden_axe', Item.of('tetra:modular_double', '{"double/basic_axe_left_material":"basic_axe/oak","double/head_left":"double/basic_axe_left"}').weakNBT(), "#forge:tool/wrench")
	
	event.smithing('minecraft:stone_axe', Item.of('tetra:modular_double', '{"double/basic_axe_left_material":"basic_axe/stone","double/head_left":"double/basic_axe_left"}').weakNBT(), "#forge:tool/wrench")
	 
	event.smithing('minecraft:iron_axe', Item.of('tetra:modular_double', '{"double/basic_axe_left_material":"basic_axe/iron","double/head_left":"double/basic_axe_left"}').weakNBT(), "#forge:tool/wrench")
	 
	event.smithing('minecraft:golden_axe', Item.of('tetra:modular_double', '{"double/basic_axe_left_material":"basic_axe/gold","double/head_left":"double/basic_axe_left"}').weakNBT(), "#forge:tool/wrench")
	 
	event.smithing('minecraft:diamond_axe', Item.of('tetra:modular_double', '{"double/basic_axe_left_material":"basic_axe/diamond","double/head_left":"double/basic_axe_left"}').weakNBT(), "#forge:tool/wrench")
	 
	//sword
	
	 event.smithing('minecraft:wooden_sword', Item.of('tetra:modular_sword', '{"sword/basic_blade_material":"basic_blade/oak","sword/blade":"sword/basic_blade"}').weakNBT(), "#forge:tool/wrench")
	
	 event.smithing('minecraft:stone_sword', Item.of('tetra:modular_sword', '{"sword/basic_blade_material":"basic_blade/stone","sword/blade":"sword/basic_blade"}').weakNBT(), "#forge:tool/wrench")
	 
	 event.smithing('minecraft:iron_sword', Item.of('tetra:modular_sword', '{"sword/basic_blade_material":"basic_blade/iron","sword/blade":"sword/basic_blade"}').weakNBT(), "#forge:tool/wrench")
	 
	 event.smithing('minecraft:golden_sword', Item.of('tetra:modular_sword', '{"sword/basic_blade_material":"basic_blade/gold","sword/blade":"sword/basic_blade"}').weakNBT(), "#forge:tool/wrench")
	 
	 event.smithing('minecraft:diamond_sword', Item.of('tetra:modular_sword', '{"sword/basic_blade_material":"basic_blade/diamond","sword/blade":"sword/basic_blade"}').weakNBT(), "#forge:tool/wrench")
	 
	//hoe
	
	event.smithing('minecraft:wooden_hoe', Item.of('tetra:modular_double', '{"double/head_left":"double/hoe_left","double/hoe_left_material":"hoe/oak"}').weakNBT(), "#forge:tool/wrench")
	
	event.smithing('minecraft:stone_hoe', Item.of('tetra:modular_double', '{"double/head_left":"double/hoe_left","double/hoe_left_material":"hoe/stone"}').weakNBT(), "#forge:tool/wrench")
	 
	 event.smithing('minecraft:iron_hoe', Item.of('tetra:modular_double', '{"double/head_left":"double/hoe_left","double/hoe_left_material":"hoe/iron"}').weakNBT(), "#forge:tool/wrench")
	 
	 event.smithing('minecraft:golden_hoe', Item.of('tetra:modular_double', '{"double/head_left":"double/hoe_left","double/hoe_left_material":"hoe/gold"}').weakNBT(), "#forge:tool/wrench")
	 
	 event.smithing('minecraft:diamond_hoe', Item.of('tetra:modular_double', '{"double/head_left":"double/hoe_left","double/hoe_left_material":"hoe/diamond"}').weakNBT(), "#forge:tool/wrench")
	 
	 
	//shovel
	
	event.smithing('minecraft:wooden_shovel', Item.of('tetra:modular_single', '{single/head":"single/basic_shovel","single/basic_shovel_material":"basic_shovel/oak"}').weakNBT(), "#forge:tool/wrench")
	
	event.smithing('minecraft:stone_shovel', Item.of('tetra:modular_single', '{single/head":"single/basic_shovel","single/basic_shovel_material":"basic_shovel/stone"}').weakNBT(), "#forge:tool/wrench")
	 
	 event.smithing('minecraft:iron_shovel', Item.of('tetra:modular_single', '{single/head":"single/basic_shovel","single/basic_shovel_material":"basic_shovel/iron"}').weakNBT(), "#forge:tool/wrench")
	 
	 event.smithing('minecraft:golden_shovel', Item.of('tetra:modular_single', '{single/head":"single/basic_shovel","single/basic_shovel_material":"basic_shovel/gold"}').weakNBT(), "#forge:tool/wrench")
	 
	 event.smithing('minecraft:diamond_shovel', Item.of('tetra:modular_single', '{"single/head":"single/basic_shovel","single/basic_shovel_material":"basic_shovel/diamond"}').weakNBT(), "#forge:tool/wrench")
	 
})